/* Grundlegende Styles */
body {
  font-family: Arial, sans-serif;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #f4f4f4;
}

/* App-Container */
#app {
  width: 100%;
  max-width: 1200px;
  margin: 20px auto;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

/* Editor-Container */
.editor-container {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  gap: 10px;
}

#editor {
  width: 100%;
  height: 200px;
  font-size: 16px;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  resize: vertical;
  background-color: #fff;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

button#save {
  align-self: flex-end;
  padding: 10px 20px;
  font-size: 16px;
  background-color: #0074D9;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

button#save:hover {
  background-color: #0056a6;
}

/* Notizen-Container */
.notes-container {
  background-color: #fff;
  padding: 15px;
  border-radius: 5px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.notes-container h2 {
  margin: 0 0 10px;
}

#notes-list {
  overflow-y: auto;
  line-height: 2.3rem;
}
#notes-list a{
color: #000000;
  text-decoration: none;
  padding-right: 22px;
}
button{
  background-color: lightslategray;
  color: white;
  border: none;
  padding: 5px 12px;
  
}
/* Graph-Container */
#graph {
  flex-grow: 1;
 height: 80vh;
  border: 2px solid #ccc;
  border-radius: 5px;
  background-color: #fff;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
